Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.util
Class DynamicAnnealing

    java.lang.Object
      org.joone.util.MonitorPlugin
          org.joone.util.DynamicAnnealing

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, NeuralNetListener

    public class DynamicAnnealing

extends MonitorPlugin

This plugin controls the change of the learning rate based on the difference between the last two global error (E) values: if E(t) > E(t-1) then LR = LR * (1 - step/100) Note: step/100 because step is inserted as a % value from the user if E(t) <= E(t-1) then LR is unchanged

Author:
  pmarrone
See Also:
  Serialized Form

Constructor Summary
`DynamicAnnealing()` Creates a new instance of DynamicAnnealing

Method Summary
`double` | `getStep()` Getter for property step.
`protected void` | `manageCycle(Monitor mon)`
`protected void` | `manageError(Monitor mon)`
`protected void` | `manageStart(Monitor mon)`
`protected void` | `manageStop(Monitor mon)`
`protected void` | `manageStopError(Monitor mon, java.lang.String msgErr)`
`void` | `setStep(double step)` Setter for property step.

Methods inherited from class org.joone.util.MonitorPlugin
`cicleTerminated, errorChanged, getName, getNeuralNet, getRate, netStarted, netStopped, netStoppedError, setName, setNeuralNet, setRate, toBeManaged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicAnnealing

    public DynamicAnnealing()

  Creates a new instance of DynamicAnnealing

Method Detail

### manageCycle

    protected void manageCycle(Monitor mon)

  Specified by:
    `manageCycle` in class `MonitorPlugin`

### manageStop

    protected void manageStop(Monitor mon)

  Specified by:
    `manageStop` in class `MonitorPlugin`

### getStep

    public double getStep()

  Getter for property step.

  Returns:
    Value of property step.

### setStep

    public void setStep(double step)

  Setter for property step.

  Parameters:
    `step` - New value of property step.

### manageStart

    protected void manageStart(Monitor mon)

  Specified by:
    `manageStart` in class `MonitorPlugin`

### manageError

    protected void manageError(Monitor mon)

  Specified by:
    `manageError` in class `MonitorPlugin`

### manageStopError

    protected void manageStopError(Monitor mon,
                                   java.lang.String msgErr)

  Specified by:
    `manageStopError` in class `MonitorPlugin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net